#### Previous topic

scipy.signal.find_peaks_cwt

#### Next topic

scipy.signal.argrelmax

# scipy.signal.argrelmin

`scipy.signal.``argrelmin`(data, axis=0, order=1, mode='clip')

  Calculate the relative minima of data.

  Parameters:

  data : ndarray

  > Array in which to find the relative minima.

  axis : int, optional

  > Axis over which to select from data. Default is 0.

  order : int, optional

  > How many points on each side to use for the comparison to consider `comparator(n, n+x)` to be True.

  mode : str, optional

  > How the edges of the vector are treated. Available options are ‘wrap’ (wrap around) or ‘clip’ (treat overflow as the same as the last (or first) element). Default ‘clip’. See numpy.take

  Returns:

  extrema : tuple of ndarrays

  > Indices of the minima in arrays of integers. `extrema[k]` is the array of indices of axis k of data. Note that the return value is a tuple even when data is one-dimensional.

  See also

  `argrelextrema`, `argrelmax`

  Notes

  This function uses `argrelextrema` with np.less as comparator.

  New in version 0.11.0.

  Examples

      >>> from scipy.signal import argrelmin
      >>> x = np.array([2, 1, 2, 3, 2, 0, 1, 0])
      >>> argrelmin(x)
      (array([1, 5]),)
      >>> y = np.array([[1, 2, 1, 2],
      ...               [2, 2, 0, 0],
      ...               [5, 3, 4, 4]])
      ...
      >>> argrelmin(y, axis=1)
      (array([0, 2]), array([2, 1]))